All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sas.taglib.servlet.tbeans.dualselector
Class DualListSelectorTag

    com.sas.taglib.servlet.tbeans.dualselector.DualListSelectorTag

All Implemented Interfaces:
  java.io.Serializable, javax.servlet.jsp.tagext.BodyTag, javax.servlet.jsp.tagext.IterationTag, javax.servlet.jsp.tagext.JspTag, javax.servlet.jsp.tagext.Tag, javax.servlet.jsp.tagext.TryCatchFinally

    public class DualListSelectorTag

DualListSelectorTag is the tag handler class for the sas:DualListSelector custom tag . DualListSelectorTag is invoked by the JSP page to evaluate the sas:DualListSelector custom tag during the execution of the page. Tag handler methods are called by the JSP page implementation class at various points during the evaluation of the tag. The tag handler methods in turn call methods on the underlying Transformation Bean object, DualListSelector, to execute the methods.

If you need to extend or modify the functionality of the sas:DualListSelector custom tag, you can subclass this tag handler class.

For More Information:

Visit the AppDev Studio Developer's Site to access step-by-step examples, white papers and additional usage information at http://support.sas.com/rnd/appdev/.

Refer to the Custom Tag Library Reference for usage information on the sas:DualListSelector custom tag.

Note: A snapshot of the AppDev Studio Developers Site is installed on your local Web server when you install AppDev Studio. To access the site from webAF, select Help -> Developer Site.

See Also:
  `BaseDualSelector`, Serialized Form

Field Summary
`static java.lang.String` | `RB_KEY`

Fields inherited from class com.sas.taglib.BaseBodyTag
`DELIMITERS`

Constructor Summary
`DualListSelectorTag()`

Method Summary
`protected void` | `applyAttributes()` Sets the attributes on the underlying DualListSelector object.
`int` | `doEndTag()` Process the end tag.
`int` | `doStartTag()` Processes the start tag for this instance.
`java.lang.String` | `getDescriptionModel()` Gets the descriptionmodel property of the DualListSelectorTag.
`java.lang.String` | `getDoubleLeftArrowImage()` Gets the doubleLeftArrowImage property of the DualListSelectorTag.
`java.lang.String` | `getDoubleRightArrowImage()` Gets the doubleRightArrowImage property of the DualListSelectorTag.
`java.lang.String` | `getDownArrowImage()` Gets the downArrowImage property of the DualListSelectorTag.
`java.lang.String` | `getFormAction()` Returns the value placed on the FORM tags ACTION= attribute.
`java.lang.String` | `getFormMethod()` Gets the HTTP method to be used when sending the form contents to the server.
`java.lang.String` | `getFormName()` Returns the form name
`java.lang.String` | `getFormTarget()` Returns the window name that displays the data returned by the invoked program.
`java.lang.String` | `getLeftArrowImage()` Gets the leftArrowImage property of the DualListSelectorTag.
`java.lang.String` | `getModel()` Gets the model property of the DualListSelectorTag.
`boolean` | `getMultipleSelections()` Gets the multiple property of the DualListSelectorTag.
`java.lang.String` | `getPostDownTrigger()` Returns a name of JavaScript function name which will be executed after an item is moved down in the target component.
`java.lang.String` | `getPostSourceTrigger()` Returns a name of JavaScript function name which will be executed after an item is moved from the source to the target list.
`java.lang.String` | `getPostTargetTrigger()` Returns a name of JavaScript function name which will be executed after an item is moved from the target to the source list.
`java.lang.String` | `getPostUpTrigger()` Returns a name of JavaScript function name which will be executed after an item is moved up in the target component.
`java.lang.String` | `getPreDownTrigger()` Returns a name of JavaScript function name which will be executed before an item is moved down in the target component.
`java.lang.String` | `getPreSourceTrigger()` Sets a JavaScript function name which will be executed before an item is moved from source to target.
`java.lang.String` | `getPreTargetTrigger()` Returns a name of JavaScript function name which will be executed before an item is moved from the target to the source list.
`java.lang.String` | `getPreUpTrigger()` Returns a name of JavaScript function name which will be executed before an item is moved up in the target component.
`java.lang.String` | `getRightArrowImage()` Gets the rightArrowImage property of the DualListSelectorTag.
`int` | `getSize()` Returns the size property (int) of the Listbox.
`java.lang.String` | `getSourceLabel()` Gets the sourceLabel property of the DualListSelectorTag.
`java.lang.String` | `getStyleClassPrefix()` Returns the style class prefix used for this selector.
`java.lang.String` | `getSubmitButtonLabel()` Gets the submitButtonLabel property of the DualListSelectorTag.
`java.lang.String` | `getTargetDescriptionModel()` Gets the descriptionmodel property of the DualListSelectorTag.
`java.lang.String` | `getTargetLabel()` Gets the targetLabel property of the DualListSelectorTag.
`int` | `getTargetMaximumCount()` Returns the maximum number of target items.
`java.lang.String` | `getTargetModel()` Gets the model property of the DualListSelectorTag.
`java.lang.String` | `getUpArrowImage()` Gets the upArrowImage property of the DualListSelectorTag.
`boolean` | `getWriteForm()` Gets the writeForm property of the DualListSelectorTag.
`protected void` | `initialize(boolean includeAttributes)` Initializes attributes and variables for this tag handler.
`boolean` | `isSourceAlphabetized()` Gets the alphabetizeSource property of the DualListSelectorTag.
`boolean` | `isStaticSourceAllowed()` Gets the staticSource property of the DualListSelectorTag.
`boolean` | `isSubmitButtonVisible()` Gets the submitButtonVisible property of the DualListSelectorTag.
`boolean` | `isTargetAlphabetized()` Gets the alphabetizeTarget property of the DualListSelectorTag.
`boolean` | `isTargetButtonsVisible()` Gets the targetButtonsVisible property of the DualListSelectorTag.
`boolean` | `isTargetDuplicateAllowed()` Gets the allowTargetDuplicate property of the DualListSelectorTag.
`boolean` | `isTransferAllButtonVisible()` Gets the transferAllButtonVisible property of the DualListSelectorTag.
`void` | `setDescriptionModel(java.lang.String descriptionmodel)` Sets the descriptionmodel property (String).
`void` | `setDoubleLeftArrowImage(java.lang.String value)` Sets the doubleLeftArrowImage property of the DualListSelector.
`void` | `setDoubleRightArrowImage(java.lang.String loc)` Sets the doubleRightArrowImage property of the DualListSelector.
`void` | `setDownArrowImage(java.lang.String loc)` Sets the downArrowImage property of the DualListSelector.
`void` | `setFormAction(java.lang.String value)` Sets the URL which is used to post forms or a server-side form handler (such as a servlet or JSP page) via HTTP (i.e.
`void` | `setFormMethod(java.lang.String value)` Sets the HTTP method to be used when sending the form contents to the server.
`void` | `setFormName(java.lang.String value)` Sets the form name
`void` | `setFormTarget(java.lang.String value)` Sets the value placed on the FORM tags ACTION= attribute.
`void` | `setLeftArrowImage(java.lang.String loc)` Sets the leftArrowImage property of the DualListSelector.
`void` | `setModel(java.lang.String model)` Sets the model property (String).
`void` | `setMultipleSelections(boolean multiple)` Sets the multiple property (boolean).
`void` | `setPostDownTrigger(java.lang.String value)` Sets a JavaScript function name which will be executed after an item is moved down in the target component.
`void` | `setPostSourceTrigger(java.lang.String value)` Sets a function name which will be executed after an item is moved from source to target.
`void` | `setPostTargetTrigger(java.lang.String value)` Sets a JavaScript function name which will be executed after an item is moved from target to source.
`void` | `setPostUpTrigger(java.lang.String value)` Sets a JavaScript function name which will be executed after an item is moved up in the target component.
`void` | `setPreDownTrigger(java.lang.String value)` Sets a JavaScript function name which will be executed before an item is moved down in the target component.
`void` | `setPreSourceTrigger(java.lang.String value)` Sets a JavaScript function name which will be executed before an item is moved from source to target.
`void` | `setPreTargetTrigger(java.lang.String value)` Sets a JavaScript function name which will be executed before an item is moved from target to source.
`void` | `setPreUpTrigger(java.lang.String value)` Sets a JavaScript function name which will be executed before an item is moved up in the target component.
`void` | `setRightArrowImage(java.lang.String loc)` Sets the rightArrowImage property of the DualListSelector.
`void` | `setSize(int size)` Sets the size property (int) of the DualListSelector.
`void` | `setSourceAlphabetized(boolean alphabetizeSrc)` Sets the alphabetizeSource property (boolean).
`void` | `setSourceLabel(java.lang.String srcLabel)` Sets the sourceLabel property (int) of the DualListSelector.
`void` | `setStaticSource(boolean staticSrc)` Sets the staticSource property (boolean).
`void` | `setStyleClassPrefix(java.lang.String value)` Sets the styleClassPrefix of the selector.
`void` | `setSubmitButtonLabel(java.lang.String submitLabel)` Sets the SubmitButtonLabel property (int) of the DualListSelector.
`void` | `setSubmitButtonVisible(boolean submitButton)` Sets the submitButtonVisible property (boolean).
`void` | `setTargetAlphabetized(boolean alphabetizeTrg)` Sets the alphabetizeTarget property (boolean).
`void` | `setTargetButtonsVisible(boolean targetButtons)` Sets the targetButtonsVisible property (boolean).
`void` | `setTargetDescriptionModel(java.lang.String descriptionmodel)` Sets the targetdescriptionmodel property (String).
`void` | `setTargetDuplicateAllowed(boolean targetDuplicate)` Sets the allowTargetDuplicate property (boolean).
`void` | `setTargetLabel(java.lang.String trgLabel)` Sets the targetLabel property (int) of the DualListSelector.
`void` | `setTargetMaximumCount(int max)` Sets the maximum number of target items.
`void` | `setTargetModel(java.lang.String model)` Sets the model property (String).
`void` | `setTransferAllButtonVisible(boolean allButtons)` Sets the transferAllButtonVisible property (boolean).
`void` | `setUpArrowImage(java.lang.String loc)` Sets the upArrowImage property of the DualListSelector.
`void` | `setWriteForm(boolean writeForm)` Sets the writeForm property (boolean).

Methods inherited from class com.sas.taglib.servlet.tbeans.BaseTransformationBodyTag
`getCustomAttributes, getEpilog, getLocale, getName, getObjectDataProperty, getProlog, getRender, getRenderType, setCustomAttributes, setEpilog, setLocale, setName, setObjectDataProperty, setProlog, setRender, setRenderType`

Methods inherited from class com.sas.taglib.BaseBodyTag
`doCatch, doFinally, getApplyAttributes, getBodyStrings, getCompositeComponentKey, getInstantiate, getPageContext, getRef, getScope, getTagScope, getWrappedClassName, getWrappedObject, getWrappedObject, loadBeanInstance, newInstance, release, removeFromScope, searchContext, setApplyAttributes, setCompositeComponentKey, setInstantiate, setRef, setScope, setTagScope, setVariableWithinScope, setWrappedClassName, setWrappedObject, validate`

Field Detail

### RB_KEY

    public static final java.lang.String RB_KEY

See Also:
  Constant Field Values

Constructor Detail

### DualListSelectorTag

    public DualListSelectorTag()

Method Detail

### initialize

    protected void initialize(boolean includeAttributes)

  Initializes attributes and variables for this tag handler.

  Overrides:
    `initialize` in class `BaseTransformationBodyTag`
  Parameters:
    `includeAttributes` - Set to true if attributes are to be set to default values.

### setModel

    public void setModel(java.lang.String model)

  Sets the model property (String). The model String is used to find the model (with in the specified scope) to create the Custom Tag against.

  Parameters:
    `model` - The model of the DualListSelector.

### getModel

    public java.lang.String getModel()

  Gets the model property of the DualListSelectorTag.

  Returns:
    The model attribute of the DualListSelectorTag

### setTargetModel

    public void setTargetModel(java.lang.String model)

  Sets the model property (String). The model String is used to find the model (with in the specified scope) to create the Custom Tag against.

  Parameters:
    `model` - The model of the DualListSelector.

### getTargetModel

    public java.lang.String getTargetModel()

  Gets the model property of the DualListSelectorTag.

  Returns:
    the model attribute of the DualListSelectorTag

### setDescriptionModel

    public void setDescriptionModel(java.lang.String descriptionmodel)

  Sets the descriptionmodel property (String). The descriptionmodel String is used to find the descriptionmodel (with in the specified scope) to create the Custom Tag against.

  Parameters:
    `descriptionmodel` - Alternate display name for items in the model at run-time.

### getDescriptionModel

    public java.lang.String getDescriptionModel()

  Gets the descriptionmodel property of the DualListSelectorTag.

  Returns:
    The descriptionmodel attribute of the DualListSelectorTag

### setTargetDescriptionModel

    public void setTargetDescriptionModel(java.lang.String descriptionmodel)

  Sets the targetdescriptionmodel property (String). The targetdescriptionmodel String is used to find the targetdescriptionmodel (with in the specified scope) to create the Custom Tag against.

  Parameters:
    `targetdescriptionmodel` - Alternate display name for items in the model at run-time.

### getTargetDescriptionModel

    public java.lang.String getTargetDescriptionModel()

  Gets the descriptionmodel property of the DualListSelectorTag.

  Returns:
    The targetdescriptionmodel attribute of the DualListSelector Tag

### setMultipleSelections

    public void setMultipleSelections(boolean multiple)

  Sets the multiple property (boolean). The multiple String specifies whether or not multiple items can be selected in the Listbox. Valid values are: true or false.

  Parameters:
    `multiple` - Specifies whether or not multiple items can be selected in the Listbox.

### getMultipleSelections

    public boolean getMultipleSelections()

  Gets the multiple property of the DualListSelectorTag.

  Returns:
    The multiple attribute of the DualListSelectorTag

### setTargetButtonsVisible

    public void setTargetButtonsVisible(boolean targetButtons)

  Sets the targetButtonsVisible property (boolean). The targetButtonsVisible String specifies whether or not the move up and move down buttons for the target listbox will be visible Valid values are: true or false.

  Parameters:
    `targetButtons` - Specifies whether or not move up and move down buttons are visible.

### isTargetButtonsVisible

    public boolean isTargetButtonsVisible()

  Gets the targetButtonsVisible property of the DualListSelectorTag.

  Returns:
    The targetButtonsVisible attribute of the DualListSelectorTag

### setTransferAllButtonVisible

    public void setTransferAllButtonVisible(boolean allButtons)

  Sets the transferAllButtonVisible property (boolean). The transferAllButtonVisible String specifies whether or not the move all buttons will be visible Valid values are: true or false.

  Parameters:
    `allButtons` - Specifies whether or not move all buttons are visible.

### isTransferAllButtonVisible

    public boolean isTransferAllButtonVisible()

  Gets the transferAllButtonVisible property of the DualListSelectorTag.

  Returns:
    The transferAllButtonVisible attribute of the DualListSelectorTag

### setSubmitButtonVisible

    public void setSubmitButtonVisible(boolean submitButton)

  Sets the submitButtonVisible property (boolean). The submitButtonVisible String specifies whether or not the submit button will be visible Valid values are: true or false.

  Parameters:
    `submitButton` - Specifies whether or not the submit button is visible.

### isSubmitButtonVisible

    public boolean isSubmitButtonVisible()

  Gets the submitButtonVisible property of the DualListSelectorTag.

  Returns:
    The submitButtonVisible attribute of the DualListSelectorTag

### setWriteForm

    public void setWriteForm(boolean writeForm)

  Sets the writeForm property (boolean). The writeForm String specifies whether or not the form tag will be written Valid values are: true or false.

  Parameters:
    `writeForm` - Specifies whether or not the form tag will be written

### getWriteForm

    public boolean getWriteForm()

  Gets the writeForm property of the DualListSelectorTag.

  Returns:
    The writeForm attribute of the DualListSelectorTag

### setStaticSource

    public void setStaticSource(boolean staticSrc)

  Sets the staticSource property (boolean). The staticSource String specifies whether or not the item in the source list remain on the list. Valid values are: true or false.

  Parameters:
    `staticSource` - Specifies whether or not the item in the source list remain on the list

### isStaticSourceAllowed

    public boolean isStaticSourceAllowed()

  Gets the staticSource property of the DualListSelectorTag.

  Returns:
    The staticSource attribute of the DualListSelectorTag

### setSourceAlphabetized

    public void setSourceAlphabetized(boolean alphabetizeSrc)

  Sets the alphabetizeSource property (boolean). The alphabetizeSource String specifies whether or not the source will be alphabetized when item(s) are moved from the target. Valid values are: true or false.

  Parameters:
    `alphabetizeSrc` - Specifies whether or not the source will be alphabetized when item(s) are moved from the target

### isSourceAlphabetized

    public boolean isSourceAlphabetized()

  Gets the alphabetizeSource property of the DualListSelectorTag.

  Returns:
    The alphabetizeSource attribute of the DualListSelectorTag

### setTargetAlphabetized

    public void setTargetAlphabetized(boolean alphabetizeTrg)

  Sets the alphabetizeTarget property (boolean). The alphabetizeTarget String specifies whether or not the source will be alphabetized when item(s) are moved from the source. Valid values are: true or false.

  Parameters:
    `alphabetizeTrg` - Specifies whether or not the source will be alphabetized when item(s) are moved from the source

### isTargetAlphabetized

    public boolean isTargetAlphabetized()

  Gets the alphabetizeTarget property of the DualListSelectorTag.

  Returns:
    The alphabetizeTarget attribute of the DualListSelectorTag

### setTargetDuplicateAllowed

    public void setTargetDuplicateAllowed(boolean targetDuplicate)

  Sets the allowTargetDuplicate property (boolean). The allowTargetDuplicate String specifies whether or not the target allow duplicate item(s). Valid values are: true or false.

  Parameters:
    `targetDuplicate` - Specifies whether or not the target allow duplicate item(s)

### isTargetDuplicateAllowed

    public boolean isTargetDuplicateAllowed()

  Gets the allowTargetDuplicate property of the DualListSelectorTag.

  Returns:
    the allowTargetDuplicate attribute of the DualListSelectorTag

### setSize

    public void setSize(int size)

  Sets the size property (int) of the DualListSelector. The size String is used to set the number of viewable options at one time in the Listbox.

  Parameters:
    `size` - The viewable size of the Listbox at one time.

### getSize

    public int getSize()

  Returns the size property (int) of the Listbox. The size String is used to set the number of viewable options at one time in the Listbox.

### setTargetMaximumCount

    public void setTargetMaximumCount(int max)

  Sets the maximum number of target items.

  Parameters:
    `max` - the maximum number of target items.

### getTargetMaximumCount

    public int getTargetMaximumCount()

  Returns the maximum number of target items.

  Returns:
    The maximum number of target items.

### setSourceLabel

    public void setSourceLabel(java.lang.String srcLabel)

  Sets the sourceLabel property (int) of the DualListSelector.

  Parameters:
    `srcLabel` - The label

### getSourceLabel

    public java.lang.String getSourceLabel()

  Gets the sourceLabel property of the DualListSelectorTag.

  Returns:
    The sourceLabel attribute of the DualListSelectorTag

### setTargetLabel

    public void setTargetLabel(java.lang.String trgLabel)

  Sets the targetLabel property (int) of the DualListSelector.

  Parameters:
    `trgLabel` - The label

### getTargetLabel

    public java.lang.String getTargetLabel()

  Gets the targetLabel property of the DualListSelectorTag.

  Returns:
    The targetLabel attribute of the DualListSelectorTag

### setSubmitButtonLabel

    public void setSubmitButtonLabel(java.lang.String submitLabel)

  Sets the SubmitButtonLabel property (int) of the DualListSelector.

  Parameters:
    `submitLabel` - The submit button label

### getSubmitButtonLabel

    public java.lang.String getSubmitButtonLabel()

  Gets the submitButtonLabel property of the DualListSelectorTag.

  Returns:
    The submitButtonLabel attribute of the DualListSelectorTag

### setRightArrowImage

    public void setRightArrowImage(java.lang.String loc)

  Sets the rightArrowImage property of the DualListSelector. The image location can either be an absolute or relative URL.

  Parameters:
    `loc` - The image location of the right arrow.

### getRightArrowImage

    public java.lang.String getRightArrowImage()

  Gets the rightArrowImage property of the DualListSelectorTag.

  Returns:
    The rightArrowImage attribute of the DualListSelectorTag

### setDoubleRightArrowImage

    public void setDoubleRightArrowImage(java.lang.String loc)

  Sets the doubleRightArrowImage property of the DualListSelector. The image location can either be an absolute or relative URL.

  Parameters:
    `loc` - The image location of the double right arrow.

### getDoubleRightArrowImage

    public java.lang.String getDoubleRightArrowImage()

  Gets the doubleRightArrowImage property of the DualListSelectorTag.

  Returns:
    The doubleRightArrowImage attribute of the DualListSelectorTag

### setLeftArrowImage

    public void setLeftArrowImage(java.lang.String loc)

  Sets the leftArrowImage property of the DualListSelector. The image location can either be an absolute or relative URL.

  Parameters:
    `loc` - the image location of the left arrow.

### getLeftArrowImage

    public java.lang.String getLeftArrowImage()

  Gets the leftArrowImage property of the DualListSelectorTag.

  Returns:
    The leftArrowImage attribute of the DualListSelectorTag

### setDoubleLeftArrowImage

    public void setDoubleLeftArrowImage(java.lang.String value)

  Sets the doubleLeftArrowImage property of the DualListSelector. The image location can either be an absolute or relative URL.

  Parameters:
    `loc` - the image location of the double left arrow.

### getDoubleLeftArrowImage

    public java.lang.String getDoubleLeftArrowImage()

  Gets the doubleLeftArrowImage property of the DualListSelectorTag.

  Returns:
    The doubleLeftArrowImage attribute of the DualListSelectorTag

### setUpArrowImage

    public void setUpArrowImage(java.lang.String loc)

  Sets the upArrowImage property of the DualListSelector. The image location can either be an absolute or relative URL.

  Parameters:
    `loc` - the image location of the up arrow.

### getUpArrowImage

    public java.lang.String getUpArrowImage()

  Gets the upArrowImage property of the DualListSelectorTag.

  Returns:
    The upArrowImage attribute of the DualListSelectorTag

### setDownArrowImage

    public void setDownArrowImage(java.lang.String loc)

  Sets the downArrowImage property of the DualListSelector. The image location can either be an absolute or relative URL.

  Parameters:
    `loc` - the image location of the down arrow.

### getDownArrowImage

    public java.lang.String getDownArrowImage()

  Gets the downArrowImage property of the DualListSelectorTag.

  Returns:
    The downArrowImage attribute of the DualListSelectorTag

### setFormName

    public void setFormName(java.lang.String value)

  Sets the form name

  Parameters:
    `form` - name

### getFormName

    public java.lang.String getFormName()

  Returns the form name

  Returns:
    The value form name

### setFormMethod

    public void setFormMethod(java.lang.String value)

  Sets the HTTP method to be used when sending the form contents to the server. Valid values are "GET" and "POST". The default value is "POST"

  Parameters:
    `method` - The HTTP method

### getFormMethod

    public java.lang.String getFormMethod()

  Gets the HTTP method to be used when sending the form contents to the server.

  Returns:
    The HTTP method

### setFormAction

    public void setFormAction(java.lang.String value)

  Sets the URL which is used to post forms or a server-side form handler (such as a servlet or JSP page) via HTTP (i.e. "http://www.sas.com/jsp/my.jsp").

  Parameters:
    `action` - The action URL

### getFormAction

    public java.lang.String getFormAction()

  Returns the value placed on the FORM tags ACTION= attribute. If the request object is available, the current page will be returned as formAction as default.

  Returns:
    The value of the ACTION= attribute on the FORM tag.

### setFormTarget

    public void setFormTarget(java.lang.String value)

  Sets the value placed on the FORM tags ACTION= attribute. If the request object is set, the current page will be the default.

  Parameters:
    `The` - value of the ACTION= attribute on the FORM tag.

### getFormTarget

    public java.lang.String getFormTarget()

  Returns the window name that displays the data returned by the invoked program.

  Returns:
    The window name that displays the data returned by the invoked program.

### setStyleClassPrefix

    public void setStyleClassPrefix(java.lang.String value)

  Sets the styleClassPrefix of the selector.

  Parameters:
    `value` - The styleClassPrefix to use for the selector.

### getStyleClassPrefix

    public java.lang.String getStyleClassPrefix()

  Returns the style class prefix used for this selector.

  Returns:
    The style class prefix

### setPostSourceTrigger

    public void setPostSourceTrigger(java.lang.String value)

  Sets a function name which will be executed after an item is moved from source to target.

  Parameters:
    `value` - The postSourceTrigger JavaScript function name.

### getPostSourceTrigger

    public java.lang.String getPostSourceTrigger()

  Returns a name of JavaScript function name which will be executed after an item is moved from the source to the target list.

  Returns:
    The postSourceTrigger JavaScript function name.

### setPreSourceTrigger

    public void setPreSourceTrigger(java.lang.String value)

  Sets a JavaScript function name which will be executed before an item is moved from source to target. The function must return true or false. If it returns false; the move will not occur.

  Parameters:
    `value` - The preSourceTrigger function name.

### getPreSourceTrigger

    public java.lang.String getPreSourceTrigger()

  Sets a JavaScript function name which will be executed before an item is moved from source to target. The function must return true or false. If it returns false; the move will not occur.

  Parameters:
    `value` - The preSourceTrigger JavaScript function name.

### getPostTargetTrigger

    public java.lang.String getPostTargetTrigger()

  Returns a name of JavaScript function name which will be executed after an item is moved from the target to the source list.

  Returns:
    The postTargetTrigger function name.

### setPostTargetTrigger

    public void setPostTargetTrigger(java.lang.String value)

  Sets a JavaScript function name which will be executed after an item is moved from target to source.

  Parameters:
    `value` - The postTargetTrigger JavaScript function name.

### getPreTargetTrigger

    public java.lang.String getPreTargetTrigger()

  Returns a name of JavaScript function name which will be executed before an item is moved from the target to the source list.

  Returns:
    The preTargetTrigger JavaScript function name.

### setPreTargetTrigger

    public void setPreTargetTrigger(java.lang.String value)

  Sets a JavaScript function name which will be executed before an item is moved from target to source. The function must return true or false. If it returns false; the move will not occur.

  Parameters:
    `value` - The preTargetTrigger JavaScript function name.

### getPostUpTrigger

    public java.lang.String getPostUpTrigger()

  Returns a name of JavaScript function name which will be executed after an item is moved up in the target component.

  Returns:
    The postTargetTrigger function name.
  See Also:
    `setPostUpTrigger(String)`

### setPostUpTrigger

    public void setPostUpTrigger(java.lang.String value)

  Sets a JavaScript function name which will be executed after an item is moved up in the target component.

  Parameters:
    `value` - The postTargetTrigger function name.

### getPreUpTrigger

    public java.lang.String getPreUpTrigger()

  Returns a name of JavaScript function name which will be executed before an item is moved up in the target component. the source to the target list.

  Returns:
    The preTargetTrigger function name.

### setPreUpTrigger

    public void setPreUpTrigger(java.lang.String value)

  Sets a JavaScript function name which will be executed before an item is moved up in the target component. The function must return true or false. If it returns false; the move will not occur.

  Parameters:
    `value` - The preTargetTrigger function name.

### getPostDownTrigger

    public java.lang.String getPostDownTrigger()

  Returns a name of JavaScript function name which will be executed after an item is moved down in the target component.

  Returns:
    The postTargetTrigger function name.
  See Also:
    `setPostDownTrigger(String)`

### setPostDownTrigger

    public void setPostDownTrigger(java.lang.String value)

  Sets a JavaScript function name which will be executed after an item is moved down in the target component.

  Parameters:
    `value` - The postTargetTrigger function name.

### getPreDownTrigger

    public java.lang.String getPreDownTrigger()

  Returns a name of JavaScript function name which will be executed before an item is moved down in the target component.

  Returns:
    The preTargetTrigger function name.

### setPreDownTrigger

    public void setPreDownTrigger(java.lang.String value)

  Sets a JavaScript function name which will be executed before an item is moved down in the target component. The function must return true or false. If it returns false; the move will not occur.

  Parameters:
    `value` - The preTargetTrigger function name.

### doStartTag

    public int doStartTag()
                   throws javax.servlet.jsp.JspException

  Processes the start tag for this instance. The doStartTag() method assumes that all setter methods have been invoked before. When this method is invoked, the body has not yet been invoked.

  Specified by:
    `doStartTag` in interface `javax.servlet.jsp.tagext.Tag`
  Overrides:
    `doStartTag` in class `BaseTransformationBodyTag`
  Returns:
    int designating the next course of action for the tag/jsp page.
  Throws:
    `javax.servlet.jsp.JspException` - Thrown if a JspException occurs.
  See Also:
    `BaseBodyTag.setInstantiate(boolean)`, `TagSupport.doStartTag()`

### applyAttributes

    protected void applyAttributes()
                            throws javax.servlet.jsp.JspException

  Sets the attributes on the underlying DualListSelector object.

  Overrides:
    `applyAttributes` in class `BaseTransformationBodyTag`
  Throws:
    `javax.servlet.jsp.JspException` - Thrown if a JspException occurs.

### doEndTag

    public int doEndTag()
                 throws javax.servlet.jsp.JspException

  Process the end tag. This method will be called on all Tag objects.

  Specified by:
    `doEndTag` in interface `javax.servlet.jsp.tagext.Tag`
  Overrides:
    `doEndTag` in class `BaseTransformationBodyTag`
  Returns:
    int designating the next course of action for the tag/jsp page.
  Throws:
    `javax.servlet.jsp.JspException` - Thrown if a JspException occurs.
  See Also:
    `TagSupport.doEndTag()`, `BaseBodyTag.setInstantiate(boolean)`

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.